#include "detail/graphics.h"

namespace deerith {
	void graphics::create_vulkan_surface() {
		deerith_graphics_trace("Initializing Vulkan pressentation/surface");

		if (glfwCreateWindowSurface(instance, window, nullptr, &surface) != VK_SUCCESS) {
			deerith_graphics_error("failed to create window surface!");
			return;
		}
	}
} // namespace deerith